#include <iostream>
#include "pcl/io/pcd_io.h"
#include "pcl/point_types.h"
#include <string>

#include <stdio.h>

void rgbToRgba(const char* input, const char* output)
{
  pcl::PointCloud<pcl::PointXYZRGB>::Ptr cloud(new pcl::PointCloud<pcl::PointXYZRGB>);
  pcl::PointCloud<pcl::PointXYZRGBA>::Ptr cloud2(new pcl::PointCloud<pcl::PointXYZRGBA>);

  pcl::io::loadPCDFile(std::string(input), *cloud);

  pcl::copyPointCloud<pcl::PointXYZRGB,pcl::PointXYZRGBA> (*cloud, *cloud2);

  pcl::io::savePCDFile(std::string(output), *cloud2);

  return;  
}


int main(int argc, char** argv)
{
  rgbToRgba(argv[1],argv[2]);

  return 0;
}
